root: true
parser: "@typescript-eslint/parser"
plugins:
    - standard
    - promise
    - "@typescript-eslint"
extends:
    - eslint:recommended
    - plugin:@typescript-eslint/eslint-recommended
    - plugin:@typescript-eslint/recommended
    - standard
rules:
    indent:
        - error
        - 4
        - SwitchCase: 1
    one-var: 2
    no-var: error
    quotes:
        - error
        - double
    semi:
        - error
        - always
    eqeqeq:
        - error
        - always
    newline-after-var:
        - error
        - always
    keyword-spacing:
        - error
    block-spacing:
        - error
    object-curly-spacing:
        - error
        - always
    object-property-newline:
        - error
    eol-last:
        - error
        - always
    no-path-concat: 'off'
    space-before-function-paren: error
    no-undef: 'off'
